Bug 78332 - Manually inserted DDE link field fails to update when file is reopened
Summary: Manually inserted DDE link field fails to update when file is reopened
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All Linux (All)
: high normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-05-06 10:24 UTC by Antony
Modified: 2015-12-17 08:01 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Two files in zip: 1.ods and 2.odt. The content is taken from 1.ods and linked to 2.odt. (46.03 KB, application/zip)
2014-05-06 10:24 UTC, Antony
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antony 2014-05-06 10:24:40 UTC
Created attachment 98548 [details]
Two files in zip: 1.ods and 2.odt. The content is taken from 1.ods and linked to 2.odt.

MANUALLY inserted DDE link fails to update when file is reopened. 

What works: Link pasted by "Paste Special" -> "DDE link".
What does not work:  DDE link that was inserted manually: "Insert" -> "Fields" -> "Other" -> "Variables" tab -> DDE field type. 
This one works only until you close the file. When you reopen it, the field shows saved content from previous time and does not update itself on changes anymore.

If you try to edit the field parameters by double-clicking, it shows: "Not available" as status.

Latest known-working version: 4.1.5.3


Attached you can find two files. The content is taken from 1.ods and linked to 2.odt. DDE link was modified to work with relative path.

Ways to make it work until file is closed:
-  #1: modify the link by retyping all its parameters ("Application", "File", "Category"). When done the field updates its content and works until you close the file.
-  #2: modify the link, but leave all the parameters as is, without retyping them, just put the cursor after "Sheet1.A1" in "Category" and hit DELETE on your keyboard. When done it works as expected until you close the file.
Comment 1 Antony 2014-05-17 06:25:18 UTC
Installed LO 4.1.6.2 and it works well there. So the latest known-working version is 4.1.6.2.
Comment 2 Antony 2014-05-17 06:28:32 UTC
Installed LO 4.2.4 RC2 - the bug is still there.
Comment 3 Joel Madero 2014-05-20 03:44:07 UTC
Not a blocker - updating that. If you're interested to know how we prioritize, shoot me an email (just FYI blockers almost always have to be basically crashers that will affect virtually every user). This is just a normal bug (can prevent high quality/professional work)
Comment 4 Joel Madero 2014-05-20 04:00:34 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.3.0.0.alpha0
Date:   Wed May 14 14:34:42 2014 +0200
Platform :Ubuntu 14.04
DE: GNOME3

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Normal - can prevent high quality/professional work 
High - regression

Keywords - regression


+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 5 Joel Madero 2014-05-20 04:01:31 UTC
886c30b15c8ededccddb85f56a46d4ddc56ae2aa is the first bad commit
commit 886c30b15c8ededccddb85f56a46d4ddc56ae2aa
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 18:29:44 2013 +0000

    source-hash-7be71336862204f0763fc2f8cf62a6f48f341114
    
    commit 7be71336862204f0763fc2f8cf62a6f48f341114
    Author:     Matúš Kukan <matus.kukan@gmail.com>
    AuthorDate: Tue Jul 16 20:46:48 2013 +0200
    Commit:     Matúš Kukan <matus.kukan@gmail.com>
    CommitDate: Tue Jul 16 20:54:07 2013 +0200
    
        there is no libfbembed module
    
        Change-Id: I9c95b826fb3b48a4430fe9e869b1e3fa45682574

:100644 100644 0c71acddee9aac30eeb2053119e2590c03458c29 fcc1450416d019eae6c0b28c2a82f5d4f42953c4 M	autogen.log
:100644 100644 cf818efc4efa98dc54c53ec32be6b8413e1538d8 c8d620765754b850c1d357a958702a657c7cfe14 M	ccache.log
:100644 100644 b2b4cae57b151f1949a6a8aceca17a54686d0076 9ba4862e6713f1a3a4c08d196e15c2128a939595 M	commitmsg
:100644 100644 90cc6f203d87a733288a1e3fd816324b62c25e45 83c85782d639aae866bf5f9261b7e17980335f67 M	dev-install.log
:100644 100644 911329c9e7f5014dd76c62bfbf78e1b260884f17 83df949ff824cbaef7378e36af688b9995e6d1e5 M	make.log
:040000 040000 854f5173fa9f68a863965820d7bc55a592050424 920922a0300d050f858c415129e98b8a0f1a4954 M	opt


# bad: [793dbf6f80f497dfe587d560d6257f42a24273f6] source-hash-1581b1fc3ac82a7bd62df968226e98604a4ca52d
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [8092559c5013969ebda017d79200463b9b975038] source-hash-fd84daf696a368c2c7561b5253b32a63ecdeca4a
git bisect good 8092559c5013969ebda017d79200463b9b975038
# good: [0270ef1b76a6de423b30f7927362cc01c1a0fc38] source-hash-b1f7dd66b898b03cb4bd8d434b6370310ea95946
git bisect good 0270ef1b76a6de423b30f7927362cc01c1a0fc38
# skip: [ddb123cad22440994cd332d9985dd9558fd07e07] source-hash-647fb29f528b891a1c92846640f7865f5c1fbe7f
git bisect skip ddb123cad22440994cd332d9985dd9558fd07e07
# skip: [9d357dc6201f7cd91448595e0a3f89dfdae81946] source-hash-2304beaca33c63b94df99cb827716f00ce259f9a
git bisect skip 9d357dc6201f7cd91448595e0a3f89dfdae81946
# bad: [ef72aa34cf4ee6399b192de28708d621c9680a50] source-hash-7e07a45500dcbb891a85f0bc9b7049cf4d50bba1
git bisect bad ef72aa34cf4ee6399b192de28708d621c9680a50
# bad: [38c5492124877285c647fa6816f86b8473dbdeb8] source-hash-f4546b72702dbe30505594a8307dd402e81a0303
git bisect bad 38c5492124877285c647fa6816f86b8473dbdeb8
# good: [57739010c0189a5fdf14ba4cae1612ef572df3dd] source-hash-420aa16af0bbab4bdef80ceeb8d44cabe65840e0
git bisect good 57739010c0189a5fdf14ba4cae1612ef572df3dd
# bad: [3ae11ccc091e4cea5870bbc666e35dc9970920cf] source-hash-f39e8cadc74573a787641615406777da5a9e5343
git bisect bad 3ae11ccc091e4cea5870bbc666e35dc9970920cf
# bad: [886c30b15c8ededccddb85f56a46d4ddc56ae2aa] source-hash-7be71336862204f0763fc2f8cf62a6f48f341114
git bisect bad 886c30b15c8ededccddb85f56a46d4ddc56ae2aa
# first bad commit: [886c30b15c8ededccddb85f56a46d4ddc56ae2aa] source-hash-7be71336862204f0763fc2f8cf62a6f48f341114
Comment 6 Thomas Lutz 2014-05-20 16:06:42 UTC
Bugy Version: 4.2.3~rc3-0ubuntu2
Platform: Ubuntu 14.04 LTS
DE: Unity


@Antony: Thanks for providing the last working version 4.1.6.2!!! You just made my day!

@Joel Madero: You are also using Ubuntu 14.04 LTS. Can you provide me with information on how to "officially downgrade" libreoffice?


Here is how I "fixed" my system:


# --- remove libreoffice
# apt-get purge libreoffice
# apt-get purge libreoffice-*
#
# --- make shure no libreoffice packages are installed - must NOT return any results
# aptitude search libreoffice | grep -v -e '^v' | grep -v -e '^p'

TEMP_FOLDER="/tmp/libreoffice_downgrade"

mkdir -p $TEMP_FOLDER
cd $TEMP_FOLDER

# versions --- http://downloadarchive.documentfoundation.org/libreoffice/old/
wget http://downloadarchive.documentfoundation.org/libreoffice/old/4.1.6.2/deb/x86_64/LibreOffice_4.1.6.2_Linux_x86-64_deb.tar.gz.md5
wget http://downloadarchive.documentfoundation.org/libreoffice/old/4.1.6.2/deb/x86_64/LibreOffice_4.1.6.2_Linux_x86-64_deb.tar.gz

# check md5 sums
md5sum -c *.md5

# unpack deb archives
tar xfv *deb.tar.gz

# change to install dir
cd Libre*_deb/DEBS

# check what deb files are installed
ls -la *.deb

# install
sudo dpkg -i *.deb
Comment 7 Antony 2014-05-20 18:59:48 UTC
@Joel Madero:
Thank you for the bug confirmation and for provided recommendations.


@Thomas Lutz:
I am using Kubuntu 14.04 LTS. This is how I downgraded LO to 4.1.6.2:

# Install LO PPA for 4.1:
add-apt-repository ppa:libreoffice/libreoffice-4-1
apt-get update

# Remove LO 4.2
apt-get purge libreoffice-*

# Install LO 4.1.6.2, according to "apt-cache showpkg libreoffice"
# the version is "1:4.1.6-0ubuntu1~trusty1~ppa1", to replace LO: 

sudo apt-get install libreoffice-common=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-base=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-base-core=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-calc=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-core=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-draw=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-help-en-us=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-impress=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-math=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-pdfimport=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-writer=1:4.1.6-0ubuntu1~trusty1~ppa1  python3-uno=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-style-human=1:4.1.6-0ubuntu1~trusty1~ppa1 libreoffice-kde=1:4.1.6-0ubuntu1~trusty1~ppa1
  
# Please notice "libreoffice-kde" package, which I believe
# should be replaced by another one related to your DE.
  
# To prevent updating LO from 4.1.6.2 to 4.2 use:
apt-mark hold libreoffice-*
  
# To remove the hold and update LibreOffice:
apt-mark unhold libreoffice-*
apt-get upgrade
  
----------
Probably this is not the best way to downgrade, but at least it does not break any dependencies and you always can update LibreOffice. I hope it will help you.
Comment 8 Thomas Lutz 2014-05-20 23:11:28 UTC
Thanks for sharing your downgrade Antony. I googled your approach too, but found it too difficult to pull off. But after seeing your complete example I switched to your downgrade version.


Just for completion, here is how I "tryed" to determine the unity packages. 


# Install LO PPA for 4.1:
add-apt-repository ppa:libreoffice/libreoffice-4-1
apt-get update

# install original libreoffice package
apt-get install libreoffice

# Install LO 4.1.6.2, according to "apt-cache showpkg libreoffice"
PPA_VERSION="=1:4.1.6-0ubuntu1~trusty1~ppa1"

# print libre office packages on console --- just a guess, some might not exist in previous versions
aptitude search libreoffice | grep -e '^i' | awk '{print $3}' | sed -e "s/\$/$PPA_VERSION \\\/"

apt-get purge libreoffice-*

# install from ppa - use packages from above, this is "my guess" for unity
apt-get install \
libreoffice-base=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-base-core=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-calc=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-common=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-core=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-draw=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-gnome=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-gtk=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-impress=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-java-common=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-math=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-pdfimport=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-report-builder-bin=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-style-galaxy=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-style-human=1:4.1.6-0ubuntu1~trusty1~ppa1 \
libreoffice-writer=1:4.1.6-0ubuntu1~trusty1~ppa1

# To prevent updating LO from 4.1.6.2 to 4.2 use:
apt-mark hold libreoffice-*

# To remove the hold and update LibreOffice:
apt-mark unhold libreoffice-*
apt-get upgrade
Comment 9 Andras Timar 2014-05-21 06:03:14 UTC
The following commit looks suspicious (it touches DDE fields' code):
commit 263153842741d7ce21cc0bf1c5296a55a1138024
Author: Matteo Casalin <matteo.casalin@yahoo.com>
Date:   Sun Jul 14 15:21:18 2013 +0200

    String to OUString
Comment 10 Michael Stahl (CIB) 2014-05-27 18:56:37 UTC
Andras was guessing well... the DDE command is not set properly.

fixed on master.
Comment 11 Commit Notification 2014-05-27 18:57:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=747bcdc14386978f2a98a452e52c8dcc2459d319

fdo#78332: sw: fix separators in SwDDEFieldType::PutValue()



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-05-27 19:03:16 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e7ed9d9c4f09e5549b1519a8547432fac5dfff5&h=libreoffice-4-3

fdo#78332: sw: fix separators in SwDDEFieldType::PutValue()


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2014-05-28 15:29:37 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=090c66b2c91378a83e294e872d6c8cb2a497eb80&h=libreoffice-4-2

fdo#78332: sw: fix separators in SwDDEFieldType::PutValue()


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2014-06-03 10:28:27 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb3709fd1f94213336d9bbd444b6e054721632a5&h=libreoffice-4-2-5

fdo#78332: sw: fix separators in SwDDEFieldType::PutValue()


It will be available already in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Antony 2014-06-18 08:05:23 UTC
Thank you for pushing the patch to LO 4.2.5. Now it works well, you guys are awesome.
Comment 16 Robinson Tryon (qubit) 2015-12-17 08:01:19 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]